{-# LANGUAGE OverloadedStrings #-}

-- | Bootstrap layout elements. See
-- <http://getbootstrap.com/2.3.2/scaffolding.html> for more
-- information.

module Blaze.Bootstrap
 (
  -- * Containers
  container
 ,containerFluid
 -- * Rows
 ,row
 ,rowFluid
 -- * Spans
 ,span1
 ,span2
 ,span3
 ,span4
 ,span5
 ,span6
 ,span7
 ,span8
 ,span9
 ,span10
 ,span11
 ,span12
 )
  where

import Prelude hiding (div)
import Blaze.Html5

-- | A grid container.
container :: Html -> Html
container x = div !. "container" $ x

-- | A fluid grid container.
containerFluid :: Html -> Html
containerFluid x = div !. "container-fluid" $ x

-- | A grid row.
row :: Html -> Html
row x = div !. "row" $ x

-- | A fluid grid row.
rowFluid :: Html -> Html
rowFluid x = div !. "row-fluid" $ x

-- | A span of 1 columns.
span1 :: Html -> Html
span1 x = div !. "span1" $ x

-- | A span of 2 columns.
span2 :: Html -> Html
span2 x = div !. "span2" $ x

-- | A span of 3 columns.
span3 :: Html -> Html
span3 x = div !. "span3" $ x

-- | A span of 4 columns.
span4 :: Html -> Html
span4 x = div !. "span4" $ x

-- | A span of 5 columns.
span5 :: Html -> Html
span5 x = div !. "span5" $ x

-- | A span of 6 columns.
span6 :: Html -> Html
span6 x = div !. "span6" $ x

-- | A span of 7 columns.
span7 :: Html -> Html
span7 x = div !. "span7" $ x

-- | A span of 8 columns.
span8 :: Html -> Html
span8 x = div !. "span8" $ x

-- | A span of 9 columns.
span9 :: Html -> Html
span9 x = div !. "span9" $ x

-- | A span of 10 columns.
span10 :: Html -> Html
span10 x = div !. "span10" $ x

-- | A span of 11 columns.
span11 :: Html -> Html
span11 x = div !. "span11" $ x

-- | A span of 12 columns.
span12 :: Html -> Html
span12 x = div !. "span12" $ x
